package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;
import com.rjconsultores.ventaboletos.vo.comissao.RegistroCalculo;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioCalculoComissao extends Relatorio {

	@SuppressWarnings("unchecked")
	public RelatorioCalculoComissao(Map<String, Object> parametros, Connection conexao) {
		super(parametros, conexao);

		List<RegistroCalculo> lsDadosRelatorio = new ArrayList<RegistroCalculo>();
		
		if(parametros.get("registroCalculo") != null) {
			RegistroCalculo rc = (RegistroCalculo) parametros.get("registroCalculo");
			lsDadosRelatorio.add(rc);
		}
		if(parametros.get("registrosCalculo") != null) {
			List<RegistroCalculo> registrosCalculo = ((List<RegistroCalculo>) parametros.get("registrosCalculo"));
			lsDadosRelatorio.addAll(registrosCalculo);
		}
		setLsDadosRelatorio(lsDadosRelatorio);
	}

	public void setLsDadosRelatorio(List<RegistroCalculo> lsDadosRelatorio) {
		this.setCollectionDataSource(new JRBeanCollectionDataSource(lsDadosRelatorio));
	}

	@Override
	protected void processaParametros() throws Exception {
	}

}
